﻿.service-card {
    padding: 20pt !important;
    margin: 10pt 10pt !important;
    display: inline-block !important;
    width: min-content !important;
    min-width: 200pt !important;
    align-items: center !important;
    text-align: center !important;
}


/* THE ANIMATION IN DESKTOP */
@media screen and (min-width: 768px) {
    .service-card {
        transition: transform 0.2s ease, opacity 0.2s ease;
    }

        .service-card:hover {
            transform: translateY(-10pt) !important;
        }

        .service-card a.text-service-readmore {
            display: inline-block !important;
            opacity: 0 !important;
            /* transform: translateY(-10pt); */
            transition: transform 0.2s ease, opacity 0.2s ease !important;
        }

        .service-card:hover a.text-service-readmore {
            opacity: 1 !important;
            /* transform: translateY(0) */
        }
}


.service-card p.title {
    margin-top: 10pt !important;
}

.service-card span.content {
    word-wrap: break-word !important;
    display: flex !important;
}

/* IF MOBILE */
@media screen and (max-width: 768px) {
    /* HIDE DESC ON MOBILE */
    .service-card span.content {
        display: none !important;
    }

    .service-card .text-container {
        margin-left: 10pt !important;
        display: inline-block !important;
        text-align: left !important;
    }

    .service-card {
        display: inline-flex !important;
    }

        .service-card p.title {
            margin-bottom: 0pt !important;
            margin-top: 0pt !important;
            white-space: nowrap !important;
        }

        .service-card .fa-solid {
            font-size: 3em !important;
        }
}


.imagetitle-container {
    background-color: rgba(255, 255, 255, 0.788);
    max-width: 900pt;
    margin: auto;
    margin-bottom: 10pt;
    margin-left: 10pt;
    margin-right: 10pt;
}

/* IF MOBILE */
@media screen and (max-width: 768px) {
    .imagetitle-container {
        margin-left: auto;
        margin-bottom: 0;
        margin-right: 0;
        border-radius: 0;
    }
}

.imagetitlebox {
    display: flex;
    flex-wrap: wrap;
    background-position: center;
    height: 400pt;
}

    .imagetitlebox.vehicle {
        background-image: url(/FILogistik/media/filogistikautos.jpg);
    }